/*
 *  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *  Copyright (c) 1997-2011 Oracle and/or its affiliates. All rights reserved.
 *
 *  The contents of this file are subject to the terms of either the GNU
 *  General Public License Version 2 only ("GPL") or the Common Development
 *  and Distribution License("CDDL") (collectively, the "License").  You
 *  may not use this file except in compliance with the License.  You can
 *  obtain a copy of the License at
 *  https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html
 *  or packager/legal/LICENSE.txt.  See the License for the specific
 *  language governing permissions and limitations under the License.
 *
 *  When distributing the software, include this License Header Notice in each
 *  file and include the License file at packager/legal/LICENSE.txt.
 *
 *  GPL Classpath Exception:
 *  Oracle designates this particular file as subject to the "Classpath"
 *  exception as provided by Oracle in the GPL Version 2 section of the License
 *  file that accompanied this code.
 *
 *  Modifications:
 *  If applicable, add the following below the License Header, with the fields
 *  enclosed by brackets [] replaced by your own identifying information:
 *   "Portions Copyright [year] [name of copyright owner]"
 *
 *  Contributor(s):
 *  If you wish your version of this file to be governed by only the CDDL or
 *  only the GPL Version 2, indicate your decision by adding "[Contributor]
 *  elects to include this software in this distribution under the [CDDL or GPL
 *  Version 2] license."  If you don't indicate a single choice of license, a
 *  recipient has the option to distribute your version of this file under
 *  either the CDDL, the GPL Version 2 or to extend the choice of license to
 *  its licensees as provided above.  However, if you add GPL Version 2 code
 *  and therefore, elected the GPL Version 2 license, then the option applies
 *  only if the new code is made subject to such option by the copyright
 *  holder.
 */
package org.glassfish.samples.conference;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import javax.ejb.Stateful;
import javax.enterprise.context.SessionScoped;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.glassfish.samples.conference.entities.Sezzion;
import org.glassfish.samples.conference.entities.Speaker;

/**
 * @author Arun Gupta
 */
@Stateful
@Named
@SessionScoped
public class SpeakerSessionBean implements Serializable {
    @PersistenceContext
    private EntityManager em;
    
    public void getAllSpeakers() {
        Map<String, String> map = FacesContext.getCurrentInstance().getExternalContext().getRequestParameterMap();
        System.out.println(map);
        
        List<Speaker> result;
        
        if (map.containsKey("sessionid")) {
            System.out.println("sessionid: " + map.get("sessionid"));
            Sezzion sezzion = (Sezzion)em.createNamedQuery("Sezzion.findSezzionById").
                    setParameter("id", map.get("sessionid")).
                    getResultList().
                    get(0);
            result = sezzion.getSpeakers();
            setMode(sezzion.getTitle());
        } else {
            System.out.println("All");
            setMode("All");
            result = (List<Speaker>)em.createNamedQuery("Speaker.findAll").getResultList();
        }
        
        FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put("speakerQueryResult", result);
    }

    public void setMode(String mode) {
        FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put("mode", mode);
    }
}
